Subject: bug#13685: a way to say that dir-locals should only apply to buffers with files

From: Glenn Morris <[email-masked]>
Date: Mon, 11 Feb 2013 21:32:49 -0500

Glenn Morris wrote:

> I think there should be some way in a dir-locals file to say
> "these settings should only be applied to buffers with files".
> Sometimes some options are not appropriate for file-less buffers.
> Ref bug#11127.

This seems easy to do, but I don't know what the best UI is.
An element in the dir-locals list:

  (fileonly . t)

or

  (apply-to . files)

The latter allows for

  (apply-to . nonfiles)

as well (though I can't think of a use for that).